local _G = getfenv(0)
local L = _G.YurrCombatLogOptionsLocale
local db
local core = YurrCombatLog
local module = core:NewModule("YurrCombatLogOptions")
local frames = {}
for i=1,7 do
	tinsert(frames, "ChatFrame"..i)
end

function module:Initialize()
	db = core.db[core.db:GetCurrentProfile()]
	if not GetAddOnInfo("BetterBlizOptions") then
		InterfaceOptionsFrame:SetWidth(655)
		InterfaceOptionsFrame:SetPoint("CENTER", UIParent, "CENTER")
	end
end

local frame = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
frame.name = "YurrCombatLog"
frame:Hide()
frame:SetScript("OnShow", function(frame)
	local title, subtitle = LibStub("tekKonfig-Heading").new(frame, "YurrCombatLog", L["WhatIsYurrCombatLog"])
	
	-- outputFrame
	local outputFrameDropdown, outputFrameDropdowntext, outputFrameDropdowncontainer = LibStub("tekKonfig-Dropdown").new(frame, L["outputFrame"], "TOPLEFT", subtitle, "BOTTOMLEFT", -2, -8)
	outputFrameDropdowntext:SetText(db.outputFrame)
	outputFrameDropdown.tiptext = L["Desc_outputFrame"]
	outputFrameDropdown:SetWidth(170)

	local function outputFrameOnClick(self)
		UIDropDownMenu_SetSelectedValue(outputFrameDropdown, self.value)
		outputFrameDropdowntext:SetText(self.value)
		db.outputFrame = self.value
	end
	UIDropDownMenu_Initialize(outputFrameDropdown, function()
		local selected, info = UIDropDownMenu_GetSelectedValue(outputFrameDropdown) or db.outputFrame, UIDropDownMenu_CreateInfo()

		for k, v in pairs(frames) do
			info.text = v
			info.value = v
			info.func = outputFrameOnClick
			info.checked = (v) == selected
			UIDropDownMenu_AddButton(info)
		end
	end)
	
	frame:SetScript("OnShow", nil)
end)

InterfaceOptions_AddCategory(frame)
LibStub("tekKonfig-AboutPanel").new("YurrCombatLog", "YurrCombatLog")
